UserS3KeysApi
Method
HTTP request
Description
um_users_s3keys_delete
Examples
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
# Configure HTTP basic authorization: Basic Authentication
config.username = 'YOUR USERNAME'
config.password = 'YOUR PASSWORD'
# Configure API key authorization: Token Authentication
config.api_key['Authorization'] = 'YOUR API KEY'
# Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
# config.api_key_prefix['Authorization'] = 'Bearer'
end
api_instance = Ionoscloud::UserS3KeysApi.new
user_id = 'user_id_example' # String | The unique ID of the user.
key_id = 'key_id_example' # String | The unique ID of the S3 key.
opts = {
pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
depth: 56, # Integer | Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}
begin
# Delete S3 keys
api_instance.um_users_s3keys_delete(user_id, key_id, opts)
rescue Ionoscloud::ApiError => e
puts "Error when calling UserS3KeysApi->um_users_s3keys_delete: #{e}"
endUsing the um_users_s3keys_delete_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
um_users_s3keys_find_by_key_id
Examples
Using the um_users_s3keys_find_by_key_id_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
um_users_s3keys_get
Examples
Using the um_users_s3keys_get_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
um_users_s3keys_post
Examples
Using the um_users_s3keys_post_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
um_users_s3keys_put
Examples
Using the um_users_s3keys_put_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
um_users_s3ssourl_get
Examples
Using the um_users_s3ssourl_get_with_http_info variant
Parameters
Name
Type
Description
Notes
Return type
Authorization
HTTP request headers
Last updated
